VMware 12.5.9 on Windows 10 build 1903 / version 18362

So while I’m in Japan, I bought this tiny and borderline useless Fujitsu Esprimo B532, powered by an i5, and not very much else. I upped it to 8GB of RAM, and put in a SSD and upgraded to Windows 10 to make it slightly tolerable.

i5-3470T

The i5-3470T is ancient! And so old that newer versions of VMware and Hyper-V won’t run on it. The old solution was simply to use an older version of VMware. In my case the highest version that’ll run is 12.5.9, however when trying to launch it I got this fun message:

VMware Workstation Pro can’t run on Windows!

Well wasn’t that a big bust.

I guess there is something hidden somewhere, but I just renamed the executable, and set it to Windows 8.0 compatibility mode, and wow it works!

Windows NT 3.1 October 1991 pre-release

And there we go! Now the latest version of NT can run the first public pre-release of Windows NT. YAY.

8 thoughts on “VMware 12.5.9 on Windows 10 build 1903 / version 18362

  1. Okay, I’ll bite – why?

    First, didn’t you just buy a couple Ivy Bridge era Xeons (https://virtuallyfun.com/wordpress/2019/02/06/huananzhi-x79/)? My main desktop is an Ivy Bridge too – I wouldn’t think of them as ancient, because newer CPUs are still only marginally faster and have very few interesting extensions.

    But what I’m confused about is the ark page indicates this chip has EPT which AFAIK is what Microsoft calls SLAT which is the thing Windows clients want in order to run Hyper-V. So what requirement does current VMware have that this processor doesn’t support?

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.